<template>
    <div class="w-full bg-white shadow progress">
        <div class="py-3 text-sm leading-none text-center text-white bg-primary progress-bar" :class="'reveal-' + index" :style="{ width: percentage + '%' }">{{
            percentage }}%
        </div>
        <span class="py-3 text-sm leading-none text-right text-black progress-language">{{ language }}</span>
    </div>
</template>

<script>
    export default {
        props: {
            language: String,
            percentage: String,
            index: String
        }
    }
</script>

<style lang="scss" scoped>
    .reveal-loaded .reveal .progress-bar {
        width: 0 !important;
        transition: 0s !important;
    }

    .reveal-loaded .progress-bar {
        transition: 1s cubic-bezier(.5, 0, 0, 1);
    }

    .progress {
        position: relative;

        .progress-language {
            position: absolute;
            right: 10px;
            top: 0;
        }
    }
</style>